HanMacWrdKTextInternal::Section Struct Reference

Internal: class to store a section of a HanMacWrdKText. More...

## Public Member Functions

| Section ()
| constructor
MWAWSection | getSection () const
| returns a MWAWSection

## Public Attributes

int | m_numCols
| the number of column
std::vector< double > | m_colWidth
| the columns width
std::vector< double > | m_colSep
| the columns separator width
long | m_id
| the id
std::string | m_extra
| extra string string

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<<

## Detailed Description

Internal: class to store a section of a HanMacWrdKText.

## Constructor & Destructor Documentation

## Section()

HanMacWrdKTextInternal::Section::Section | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getSection()

MWAWSection HanMacWrdKTextInternal::Section::getSection | ( |  | ) | const

inline

returns a MWAWSection

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | sec )

friend

operator<<

## Member Data Documentation

## m_colSep

std::vector<double> HanMacWrdKTextInternal::Section::m_colSep

the columns separator width

Referenced by getSection(), operator<<, HanMacWrdKText::readSections(), and Section().

## m_colWidth

std::vector<double> HanMacWrdKTextInternal::Section::m_colWidth

the columns width

Referenced by HanMacWrdKText::computeNumPages(), getSection(), operator<<, HanMacWrdKText::readSections(), and Section().

## m_extra

std::string HanMacWrdKTextInternal::Section::m_extra

extra string string

Referenced by operator<<, HanMacWrdKText::readSections(), and Section().

## m_id

long HanMacWrdKTextInternal::Section::m_id

the id

Referenced by operator<<, and Section().

## m_numCols

int HanMacWrdKTextInternal::Section::m_numCols

the number of column

Referenced by HanMacWrdKText::computeNumPages(), getSection(), operator<<, HanMacWrdKText::readSections(), and Section().

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx